The version of Windows running on this server does not support user shadowing

0 users found this article helpful

Symptoms

 

Cause

The issue is caused by Microsoft tools incompatibility: shadow.exe is being used on Windows Server 2008 R2 and lower and mstsc /shadow on Windows 2012 R2 and higher .

Resolution

Should you need to shadow a user's session running on Windows Server 2008 or 2008 R2, RAS console must also be running on Windows Server 2008 or 2008 R2. If the RAS console is installed on a later version of Windows Server, shadowing will not work.

As a way around, you can install RAS Console component on separate Windows Server 2008 or 2008 R2, and then use this console to remotely connect to your farm and manage RDS sessions running on Windows Server 2008 or 2008 R2. Please note that to finish a remote control session, the administrator must log off from the RAS console remote session. This is a limitation of shadow.exe utility from Microsoft that doesn't take any arguments.

Was this article helpful?

Tell us how we can improve it.